Subject: Re: Link state data base example

From: praveendas e <[email-masked]>
Date: Fri, 26 Jul 2002 07:02:41 +0000

Hai Acee
   Can you specify the reason for using option 1 instead of using option 2
for describing point-to-point numbered interfaces.
Regards
Praveendas

>From: Acee Lindem <[email-masked]>
>Reply-To: Mailing List <[email-masked]>
>To: [email-masked]
>Subject: Re: Link state data base example
>Date: Wed, 24 Jul 2002 10:14:20 -0400
>
>  Praveendas,
>
>This is in fact the route table that will result using Option 1
>for describing point-to-point numbered interfaces (section
>12.4.1.1). This is because RT10 is the only router advertising
>a /32 prefix to Ia (RT6's local address).  If Option 2 is used,
>  the OSPF computed route will be the same as the direct (i.e.,
>connected) route.
>
>Good Luck,
>Acee
>
>
>
>praveendas e wrote:
>
>>Hai all
>>    i am new to this group ,hope somebody will clear my doubt
>>
>>My question is
>>In RFC 2328 ,section 2.1.2 An Example link-state database ,figure 2
>>The router R6 had an interface to Ia ,it is a stub network,
>>when the router RT6 calculate the routing table it is used RT10 as the
>>next hope to the stub network Ia having a cost of 12( i.e in section 2.2
>>The
>>shortest -path tree)
>>eventhough the router RT6 is directly connected to Ia with cost 7 ...
>>
>>1.why it is using RT10 as next hope to Ia (the stub network)?
>>2.Why RT6 is adverising its direct interface,with other router as next
>>hop?
>>
>>Thanks in Advance
>>Regards
>>Praveendas
>>
>>
>>
>>
>>_________________________________________________________________
>>Join the world's largest e-mail service with MSN Hotmail.
>>http://www.hotmail.com
>>
>
>
>--
>Acee

_________________________________________________________________
Join the world’s largest e-mail service with MSN Hotmail.
http://www.hotmail.com

---

From: Acee Lindem <[email-masked]>
Date: Fri, 26 Jul 2002 10:18:44 -0400

> for describing point-to-point numbered interfaces.

Hello Praveendas,

Option 1 preceded option 2. BSD based systems have always treated a
point-to-point link as a way of getting to single IP destination as
opposed to a subnet. This could be considered more topologically correct
since a P2P link only leads to a single destination. However, I think it is
much simpler to treat all the numbered interfaces as subnets and special
case the unnumbered case. In fact, the implementation I'm working on
now does not provide a configuration knob to use option 1. So, in response
to your original question, the only reason I can think of to use option 1 is
to be compatible with an OSPF implementation that only supports
option 1.

--
Acee